cURL
curl --request PATCH \
--url https://api.pipedream.com/v1/connect/projects/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"app_name": "<string>",
"support_email": "jsmith@example.com",
"connect_require_key_auth_test": true
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.projects.update("project_id");
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.projects.update(
project_id="project_id",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.projects.requests.UpdateProjectOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.build()
;
client.projects().update(
"project_id",
UpdateProjectOpts
.builder()
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/projects/{project_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"app_name\": \"<string>\",\n \"support_email\": \"jsmith@example.com\",\n \"connect_require_key_auth_test\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"name": "<string>",
"app_name": "<string>",
"support_email": "jsmith@example.com",
"connect_require_key_auth_test": true
}{
"error": "Throttled"
}Update project
Update project details or application information
PATCH
/
v1
/
connect
/
projects
/
{project_id}
cURL
curl --request PATCH \
--url https://api.pipedream.com/v1/connect/projects/{project_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"app_name": "<string>",
"support_email": "jsmith@example.com",
"connect_require_key_auth_test": true
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.projects.update("project_id");
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.projects.update(
project_id="project_id",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.projects.requests.UpdateProjectOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.build()
;
client.projects().update(
"project_id",
UpdateProjectOpts
.builder()
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/projects/{project_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"app_name\": \"<string>\",\n \"support_email\": \"jsmith@example.com\",\n \"connect_require_key_auth_test\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"name": "<string>",
"app_name": "<string>",
"support_email": "jsmith@example.com",
"connect_require_key_auth_test": true
}{
"error": "Throttled"
}Authorizations
A short-lived OAuth access token for server-side requests. Generate one via the Generate OAuth Token flow or automatically when initializing the SDK client.
Path Parameters
The project ID, which starts with proj_.
Pattern:
^proj_[a-zA-Z0-9]+$Body
application/json
Response
project updated
Project that can be accessed via the Connect API
Hash ID for the project
Pattern:
^proj_[0-9A-Za-z]+$Display name of the project
App name shown to Connect users
Support email configured for the project
Send a test request to the upstream API when adding Connect accounts for key-based apps
Was this page helpful?